const system = require("../../../system");
const ServiceBase = require("../../svems.base")

class PlatformUserService extends ServiceBase {
  constructor() {
    super();
  }

  async save(params) {
    try {
      return await this.callms("uc", "platformUserSave", params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  async info(params) {
    try {
      return await this.callms("uc", "platformInfo", params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  async page(params) {
    try {
      return await this.callms("uc", "platformUserPage", params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  async mapByIds(params) {
    try {
      return await this.callms("uc", "platformMapByIds", params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
 
}

module.exports = PlatformUserService;